Bug 89 - ypbind fails because domainname is unset
Summary: ypbind fails because domainname is unset
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-16 14:30 UTC by johnb
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-11-17 00:37:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description johnb 1998-11-16 14:30:00 UTC
When many of us at Netscape have installed RedHat 5.1 and
5.2, we have found that despite answering the install
question regarding our domainname with mcom.com, that the
domainname remains unset as verified by executing the
domainname command after a reboot.  This of course causes
ypbind to fail and then the rest of NIS + NFS + autofs.

Here is the diff to /etc/rc.d/init.d/ypbind that resolves
the problem for our domain.  Reading the value from your
global config file would be a better solution.

johnb@barfly zsh: diff ypbind ypbind~
21,22d20
<       # Domainname must be set for ypbind to work,
johnb@netscape.com
<       [ -z "`domainname`" ] && domainname mcom.com

Comment 1 Cristian Gafton 1998-11-17 00:37:59 UTC
We use the NISDOMAIN env variable in /etc/sysconfig/network to set the
NIS domain. If $NISDOMAIN is defined and not empty the
/etc/rc.d/rc.sysvinit will set the domainname correctly.

The installer only asks about the DNS domain name, not NIS domain
name.

Comment 2 johnb 1998-11-17 12:43:59 UTC
OK.  But my /etc/sysconfig/network does define NISDOMAIN:

NISDOMAIN="mcom.com"

I don't know how that got set if not by the install.  How else
can it be set?

In any event, to ask whether NIS and autofs should be enabled
in the install and then not set the NIS Domainname is a bug.
NIS/autofs doesn't work after a reboot.  That's bad don't you think?


Note You need to log in before you can comment on or make changes to this bug.